Bug 175618 - default players are human instead of computer
Summary: default players are human instead of computer
Status: RESOLVED FIXED
Alias: None
Product: konquest
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Pierre Ducroquet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-19 22:03 UTC by frank ijskes
Modified: 2013-10-19 00:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description frank ijskes 2008-11-19 22:03:32 UTC
Version:           4.1.2-0ubuntu3 (using KDE 4.1.2)
OS:                Linux
Installed from:    Ubuntu Packages

When I select a new game with multiple players, i have to go into some trouble to change all those players to computer players.

I would love it if there was a selection button where you can just select the player type instantly, instead of having to doubleclick, and then select from a drop down list.

The previous version defaulted to computer players, which was much more like my playing style.
Comment 1 Fernando Lucchesi 2008-11-22 05:50:34 UTC
Seconded. 

I think it could be fixed with a separated drop-down list, that would set the value of the new planets added after that. I mean, you set this drop-down and all new planets would be added with this new value.
Comment 2 Pierre Ducroquet 2008-11-22 12:17:01 UTC
Hi

Thanks for your report and comments...
I agree with the need of a fix for that, but I don't like the idea of a separate drop-down... I'd prefer having a drop-down in the button.
By default the add button would add human players, but when you click long enough on it or when you click on a subbutton, you would get a popup to choose the player type you want to add.
But there is a problem : we're in message freeze since November, the 18th...
So I'll add a separate drop-down for the player type, and try not to forget to change it for KDE 4.3...
Comment 3 Nemanja Hirsl 2013-10-19 00:07:20 UTC
Git commit 311e7f84873a3fe0ebe14712a41d858daed10d87 by Nemanja Hirsl, on behalf of Alexander Schuch.
Committed on 19/10/2013 at 00:00.
Pushed by nhirsl into branch 'master'.

When adding a new player to the game, the default player controller is
always the very first registered player controller (human player). Now,
the used player is either the default one if no players are added yet,
or the player controller of the last added player.
FIXED-IN:4.12
REVIEW:113114

M  +44   -25   dialogs/newgamedlg.cc

http://commits.kde.org/konquest/311e7f84873a3fe0ebe14712a41d858daed10d87